# return

Returns from the current command sequence and sets it return value

Usage

    return <value>

Description
Sets the return value of the current command sequence to <string> and stops the execution. This is more or less equivalent to calling setreturn <string> and then halt, but has no additional semantics in events. Starting from version 3.0.0 of kvirc you can also return arrays and hashes just like any other variable types.
Syntax Specification

    return <value:variant>

Examples
return $array(item1,item2,3213,itemX);
See also
setreturn, break, halt

Index, Commands

KVIrc 4.0.2.4740 Documentation
Generated by root at Tue Feb 1 06:16:04 2011